Name: bluez-utils
Version: 2.25
Release: alt0.M24.2

Summary: BlueZ - Bluetooth protocol stack for Linux
License: GPL
Group: Networking/Other
Url: http://bluez.sourceforge.net/

Packager: Grigory Milev <week@altlinux.ru>

Source0: %name-%version.tar.gz
Source1: bluetooth.init
Source2: bluetooth.mod
Source3: %name-pin_helper
Source4: %name-pin
Source5: %name-ppp-options
Source6: %name-ppp-options.rfcomm1

Patch1: %name-configure.patch
Patch2: %name-makefile.patch
Patch3: %name-pin.patch
Patch4: %name-aclocal.patch
Patch5: %name-sysconfig.patch

Provides: bluez-sdp bluez-sdp-devel bluez-pan
Obsoletes: bluez-sdp bluez-sdp-devel bluez-pan

BuildPreReq: python python-module-pygtk
BuildPreReq: libalsa-devel libfuse-devel
BuildPreReq: libbluez-devel = 2.25 flex libopenobex-devel libusb-devel

Requires: ppp

%package pcmcia
Summary: BlueZ - Bluetooth protocol stack for Linux, pcmcia scripts
Group: Networking/Other
Requires: %name = %version-%release
Requires: pcmcia-cs

%package misc
Summary: BlueZ - Bluetooth protocol stack for Linux, miscellaneous tools
Group: Networking/Other
Requires: %name = %version-%release
Requires: python-module-pygtk

%package -n cups-backend-bluetooth
Summary: BlueZ - Bluetooth protocol stack for Linux, backend for CUPS
Group: Networking/Other
Requires: %name = %version-%release
Requires: cups

%description
BlueZ - Bluetooth protocol stack for Linux

%description pcmcia
BlueZ - Bluetooth protocol stack for Linux
Scripts for pcmcia BlueTooth adapters

%description -n cups-backend-bluetooth
BlueZ - Bluetooth protocol stack for Linux
Backend for CUPS printing system.

%description misc
other bluez-utils tools.

%prep
%setup -q
%patch1
%patch2 -p1
%patch3 -p1
%patch4
%patch5 -p1

%__subst 's|^\(set_display\)|#\1|' scripts/bluepin

%__autoconf

%build
%configure \
    --with-pic \
    --enable-pie \
    --enable-obex \
    --enable-alsa \
    --disable-dbus \
    --enable-test \
    --enable-cups \
    --enable-pcmcia \
    --disable-initscripts \
    --enable-avctrl \
    --enable-hid2hci \
    --enable-dfutool \
    --disable-bcm203x \
    --enable-bluepin \
    --enable-fuse \
    --enable-bccmd
    
%make_build

%install
%__mkdir_p %buildroot{%_sysconfdir/{modutils.d,sysconfig,pcmcia,ppp},%_initdir}

%makeinstall

%__subst "s|^\(HIDD_ENABLE=\).*|\1false|" scripts/bluetooth.default

%__install -m 0644 scripts/bluetooth.default %buildroot%_sysconfdir/sysconfig/bluetooth
%__install -m 0644 pcmcia/bluetooth %buildroot%_sysconfdir/pcmcia/bluetooth
%__install -m 0644 pcmcia/bluetooth.conf %buildroot%_sysconfdir/pcmcia/bluetooth.conf

%__install -m 0755 %SOURCE1 %buildroot%_initdir/bluetooth
%__install -m 0644 %SOURCE2 %buildroot%_sysconfdir/modutils.d/bluetooth
%__install -m 0700 %SOURCE3 %buildroot%_sysconfdir/bluetooth/pin_helper
%__install -m 0600 %SOURCE4 %buildroot%_sysconfdir/bluetooth/pin
%__install -m 0644 %SOURCE5 %buildroot%_sysconfdir/ppp/options.bluetooth
%__install -m 0644 %SOURCE6 %buildroot%_sysconfdir/ppp/options.rfcomm1

%files
%doc AUTHORS COPYING ChangeLog README
%dir %_sysconfdir/bluetooth
%config(noreplace) %_sysconfdir/bluetooth/*
%config(noreplace) %_sysconfdir/sysconfig/bluetooth
%config(noreplace) %_sysconfdir/modutils.d/bluetooth
%config(noreplace) %_sysconfdir/ppp/options.bluetooth
%config(noreplace) %_sysconfdir/ppp/options.rfcomm1
%_initdir/*
%_bindir/*
%exclude %_bindir/bluepin
%_sbindir/*
%_man1dir/*
%_man5dir/*
%_man8dir/*
%_localstatedir/bluetooth

%files pcmcia
%_sysconfdir/pcmcia/*

%files misc
%_bindir/bluepin

%files -n cups-backend-bluetooth
%_libdir/cups/backend/*

%changelog
* Sun Apr 16 2006 Alexey Borovskoy <alb@altlinux.ru> 2.25-alt0.M24.2
- Fix initstript.
- Fix pin handling.
- Add ppp support.

* Thu Jan 19 2006 Alexey Borovskoy <alb@altlinux.ru> 2.25-alt0.M24.1
- New version: 2.25.

* Thu Dec 01 2005 Alexey Borovskoy <alb@altlinux.ru> 2.22-alt0.M24.1
- New version: 2.22.
- Add Patch4 for searching obex.h.

* Sun Aug 21 2005 Alexey Borovskoy <alb@altlinux.ru> 2.19-alt0.M24.1
- New version: 2.19
- Backport to Master 2.4
- Add Patch3 for pin

* Thu Jul 07 2005 Alexey Borovskoy <alb@altlinux.ru> 2.18-alt0.M24.1
- New version: 2.18
- Add Patch1 and Patch2 for hcid storage dir
- Fix requires for pcmcia subpackage
- Add cups-backend-bluetooth package
- Spec cleanup

* Thu Apr 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt4
- return unpackage file hcitool

* Thu Mar 17 2005 Grigory Milev <week@altlinux.ru> 2.15-alt3
- move misc tool to separate package

* Tue Mar 15 2005 Grigory Milev <week@altlinux.ru> 2.15-alt2
- Fix build requires

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt1
- new version released

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.13-alt3
- remove requires to python

* Wed Jan 12 2005 Grigory Milev <week@altlinux.ru> 2.13-alt2
- fixed build requires

* Tue Jan 11 2005 Grigory Milev <week@altlinux.ru> 2.13-alt1
- new version released
- turn off HIDD_ENABLE on default config

* Tue Nov  2 2004 Grigory Milev <week@altlinux.ru> 2.10-alt2
- Start bluez utils after hotplug

* Thu Sep 23 2004 Grigory Milev <week@altlinux.ru> 2.10-alt1
- new version released

* Wed Jul 14 2004 Grigory Milev <week@altlinux.ru> 2.7-alt3
- fixed startup script for work with chkconfig

* Mon Jun 28 2004 Grigory Milev <week@altlinux.ru> 2.7-alt2
- fix requires

* Mon Jun 21 2004 Grigory Milev <week@altlinux.ru> 2.7-alt1
- fixating init script (not all)
- bluez-sdp orphaned, currently moved to bluez-utils
- new version released

* Thu Jun  3 2004 Grigory Milev <week@altlinux.ru> 2.4-alt2
- rebuild with new python

* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 2.4-alt1
- new version released
- move pcmcia scripts to separate package
- fix bluepin script

* Tue Oct 14 2003 Grigory Milev <week@altlinux.ru> 2.3-alt1
- new version released
- fix initscript for start/stop daemon support
- add modutils configuration

* Mon Mar 31 2003 Grigory Milev <week@altlinux.ru> 2.2-alt2
- move /dev/vhci to package MAKEDEV

* Tue Feb 18 2003 Grigory Milev <week@altlinux.ru> 2.2-alt1
- new version released

* Fri Dec 20 2002 Grigory Milev <week@altlinux.ru> 2.1-alt1
- Initial build.



